package com.zcloud.primeport.api;

import com.zcloud.primeport.dto.*;
import com.zcloud.primeport.dto.clientobject.ClosedAreaCarApplyCO;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;

/**
 * web-client
 *
 * @Author dearLin
 * @Date 2026-03-20 10:07:15
 */
public interface ClosedAreaCarApplyServiceI {
    ClosedAreaCarApplyCO queryById(Long id);

    PageResponse<ClosedAreaCarApplyCO> listPage(ClosedAreaCarApplyPageQry qry);

    SingleResponse<ClosedAreaCarApplyCO> add(ClosedAreaCarApplyAddCmd cmd);

    void edit(ClosedAreaCarApplyUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    void auditCarApply(ClosedAreaCarApplyAuditCmd auditCmd);

    Long saveTmpCarApply(ClosedTmpApplyAddCmd cmd);
}

